ShapeEncoder.h File Reference
`#include <RDGeneral/export.h>`

Go to the source code of this file.

## Namespaces

| RDGeom
| RDKit
| Std stuff.
| RDKit::MolShapes

## Functions

RDKIT_SHAPEHELPERS_EXPORT void | RDKit::MolShapes::EncodeShape (const ROMol &mol, RDGeom::UniformGrid3D &grid, int confId=-1, const RDGeom::Transform3D *trans=nullptr, double vdwScale=0.8, double stepSize=0.25, int maxLayers=-1, bool ignoreHs=true)
| Encode the shape of a molecule on to a grid. More...
RDKIT_SHAPEHELPERS_EXPORT void | RDKit::MolShapes::EncodeShape (const Conformer &conf, RDGeom::UniformGrid3D &grid, const RDGeom::Transform3D *trans=nullptr, double vdwScale=0.8, double stepSize=0.25, int maxLayers=-1, bool ignoreHs=true)
| Emcode the shape of a conformer on to a grid. More...